%global pypi_name honcho

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        14%{?dist}
Summary:        Python clone of Foreman

License:        MIT
URL:            https://github.com/nickstenning/honcho
Source0:        https://github.com/nickstenning/honcho/archive/v%{version}.tar.gz

BuildArch:      noarch

%description
Honcho is a Python port of Foreman, for managing Procfile-based
 applications

%package -n python2-%{pypi_name}
Summary:        Python3 clone of Foreman
Group:          Development/Libraries
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-jinja2
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Honcho is a Python3 port of Foreman,for managing Procfile-based
 applications. Note this app do not provice a executable, if
you want to run the honcho comand install python%{python3_pkgversion}-honcho.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python3 clone of Foreman
Group:          Development/Libraries
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-jinja2
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Honcho is a Python3 port of Foreman,for managing Procfile-based
 applications

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pypi_name}
Summary:        python%{python3_other_pkgversion} build of Honcho
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
Requilres:      python%{python3_other_pkgversion}-jinja2
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

%description -n python%{python3_other_pkgversion}-%{pypi_name}
python%{python3_other_pkgversion} build of Honcho.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/honcho
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/honcho-%{python3_other_version}
%{python3_other_sitelib}/%{pypi_name}
%{python3_other_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif


%changelog
* Wed Jul 19 2017 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.0.1-14
- Bump version to 1.0.1
- Enable builds for Epel

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-12
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-8
- FixFix %%files

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-7
- Update python macros
- Include subpackages for python 2 and 3

* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-6
- Fix Python2 Requires

* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-5
- Build with Python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-3
- Build only with Pyhon3

* Sun Feb 01 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-2
- Add Python3 subpackage

* Thu Oct 23 2014 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-1
- Initial package.
